fix: restore /tmp/.coder-startup-script.done in dogfood template (#21419)

This commit is contained in:
Cian Johnston
2026-01-05 16:12:35 +00:00
committed by GitHub
parent e10fceb23c
commit 172cd13b24
+6 -1
View File
@@ -600,7 +600,12 @@ resource "coder_agent" "dev" {
#!/usr/bin/env bash
set -eux -o pipefail
# Allow other scripts to wait for agent startup.
trap 'coder exp sync complete agent-startup' EXIT
function cleanup() {
coder exp sync complete agent-startup
# Some folks will also use this for their personalize scripts.
touch /tmp/.coder-startup-script.done
}
trap cleanup EXIT
coder exp sync start agent-startup
# Authenticate GitHub CLI